Bug 1031588 - Review Request: google-phetsarath-fonts - The font for the Lao language
Review Request: google-phetsarath-fonts - The font for the Lao language
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-18 05:59 EST by Parag Nemade
Modified: 2014-10-11 03:48 EDT (History)
5 users (show)

See Also:
Fixed In Version: google-phetsarath-fonts-1.01-2.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-11 03:48:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
i: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Parag Nemade 2013-11-18 05:59:09 EST
Spec URL: http://paragn.fedorapeople.org/fedora-work/SPECS/phetsarath-fonts.spec
SRPM URL: http://paragn.fedorapeople.org/fedora-work/SRPMS/phetsarath-fonts-1.00-1.fc20.src.rpm
Description: The font for the Lao language.
Fedora Account System Username: pnemade
Comment 1 Christopher Meng 2013-11-18 06:20:14 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[?]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[?]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[-]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: phetsarath-fonts-1.00-1.fc21.noarch.rpm
          phetsarath-fonts-1.00-1.fc21.src.rpm
phetsarath-fonts.noarch: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint phetsarath-fonts
phetsarath-fonts.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
phetsarath-fonts (rpmlib, GLIBC filtered):
    /bin/sh
    config(phetsarath-fonts)
    fontpackages-filesystem



Provides
--------
phetsarath-fonts:
    config(phetsarath-fonts)
    font(:lang=aa)
    font(:lang=an)
    font(:lang=ay)
    font(:lang=bi)
    font(:lang=br)
    font(:lang=ch)
    font(:lang=co)
    font(:lang=da)
    font(:lang=de)
    font(:lang=en)
    font(:lang=es)
    font(:lang=et)
    font(:lang=eu)
    font(:lang=fi)
    font(:lang=fil)
    font(:lang=fj)
    font(:lang=fo)
    font(:lang=fr)
    font(:lang=fur)
    font(:lang=fy)
    font(:lang=gd)
    font(:lang=gl)
    font(:lang=gv)
    font(:lang=ho)
    font(:lang=ht)
    font(:lang=ia)
    font(:lang=id)
    font(:lang=ie)
    font(:lang=io)
    font(:lang=is)
    font(:lang=it)
    font(:lang=jv)
    font(:lang=kj)
    font(:lang=kwm)
    font(:lang=lb)
    font(:lang=li)
    font(:lang=lo)
    font(:lang=mg)
    font(:lang=ms)
    font(:lang=nb)
    font(:lang=nds)
    font(:lang=ng)
    font(:lang=nl)
    font(:lang=nn)
    font(:lang=no)
    font(:lang=nr)
    font(:lang=nso)
    font(:lang=oc)
    font(:lang=om)
    font(:lang=pap-an)
    font(:lang=pap-aw)
    font(:lang=pt)
    font(:lang=rm)
    font(:lang=rn)
    font(:lang=rw)
    font(:lang=sc)
    font(:lang=sg)
    font(:lang=sma)
    font(:lang=smj)
    font(:lang=sn)
    font(:lang=so)
    font(:lang=sq)
    font(:lang=ss)
    font(:lang=st)
    font(:lang=su)
    font(:lang=sv)
    font(:lang=sw)
    font(:lang=tl)
    font(:lang=tn)
    font(:lang=ts)
    font(:lang=uz)
    font(:lang=vo)
    font(:lang=vot)
    font(:lang=wa)
    font(:lang=xh)
    font(:lang=yap)
    font(:lang=za)
    font(:lang=zu)
    font(phetsarathot)
    phetsarath-fonts



Source checksums
----------------
http://pasalao.googlecode.com/files/Phetsarath_OT.ttf :
  CHECKSUM(SHA256) this package     : 548e6f34e01b2f6d8bdf45cc176bd1429f67bdbb8ac3912e730489da27696be9
  CHECKSUM(SHA256) upstream package : 548e6f34e01b2f6d8bdf45cc176bd1429f67bdbb8ac3912e730489da27696be9


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -rvn phetsarath-fonts-1.00-1.fc20.src.rpm
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG

----------------
PACKAGE nearly-APPROVED.

1. What about the other fonts in https://code.google.com/p/pasalao/downloads/list? Do you have any plans?

2. No license file.
Comment 2 Parag Nemade 2013-11-23 04:09:21 EST
I got the reply from upstream and surprised to read that those fonts are not owned by him. I found that this font is already listed in google font directory so lets use the source from there.
Comment 4 Christopher Meng 2013-11-23 07:47:50 EST
PACKAGE APPROVED.

description suggestion:

This is a font for the Lao language which is commissioned by the Ministry of Posts and Telecommunications of the Laos government.
Comment 5 Parag Nemade 2013-11-25 09:55:00 EST
New Package SCM Request
=======================
Package Name: google-phetsarath-fonts
Short Description: The font for the Lao language
Owners: pnemade
Branches: f19 f20
InitialCC: fonts-sig i18n-team
Comment 6 Gwyn Ciesla 2013-11-25 09:56:49 EST
Git done (by process-git-requests).
Comment 7 Fedora Update System 2013-11-28 09:49:33 EST
google-phetsarath-fonts-1.01-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/google-phetsarath-fonts-1.01-1.fc20
Comment 8 Fedora Update System 2013-11-28 09:59:45 EST
google-phetsarath-fonts-1.01-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/google-phetsarath-fonts-1.01-1.fc19
Comment 9 Fedora Update System 2013-11-29 10:58:07 EST
google-phetsarath-fonts-1.01-1.fc20 has been pushed to the Fedora 20 testing repository.
Comment 10 Fedora Update System 2013-12-07 02:02:33 EST
google-phetsarath-fonts-1.01-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 11 Fedora Update System 2013-12-13 21:43:21 EST
google-phetsarath-fonts-1.01-1.fc20 has been pushed to the Fedora 20 stable repository.
Comment 12 Parag Nemade 2014-08-16 09:28:03 EDT
Package Change Request
======================
Package Name: google-phetsarath-fonts
New Branches: el5 el6 epel7
Owners: pnemade
Comment 13 Kevin Fenzi 2014-08-18 10:49:22 EDT
Git done (by process-git-requests).
Comment 14 Fedora Update System 2014-08-19 04:15:35 EDT
google-phetsarath-fonts-1.01-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/google-phetsarath-fonts-1.01-2.el5
Comment 15 Fedora Update System 2014-08-19 04:15:41 EDT
google-phetsarath-fonts-1.01-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/google-phetsarath-fonts-1.01-2.el6
Comment 16 Fedora Update System 2014-09-03 01:27:28 EDT
google-phetsarath-fonts-1.01-2.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/google-phetsarath-fonts-1.01-2.el7
Comment 17 Fedora Update System 2014-09-03 11:38:27 EDT
google-phetsarath-fonts-1.01-2.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 18 Fedora Update System 2014-09-06 16:31:16 EDT
google-phetsarath-fonts-1.01-2.el5 has been pushed to the Fedora EPEL 5 stable repository.
Comment 19 Pravin Satpute 2014-09-09 01:07:50 EDT
I see two important things are missed in this review:

1. Incorrect foundry name:

For this font google has just provided hosting space, it does not mean google is developer or provider of this fonts.

See copyright of font. "Copyright (c) 2011, Ministry of Posts and Telecommunications, Laos (www.phetsarath.gov.la)". I have not found Google name anywhere in download.zip

Please see same discussion on other bug.

https://bugzilla.redhat.com/show_bug.cgi?id=1089002#c12

https://bugzilla.redhat.com/show_bug.cgi?id=1089002#c14

I think we should update package naming guideline to make it more clear.

2. locale fontconfig should be used:

This font is specifically developed for Lao language. Fontconfig file should use http://fedoraproject.org/wiki/Fontconfig_packaging_tips#Locale-specific_overrides
Comment 20 Parag Nemade 2014-09-20 13:42:33 EDT
Thanks. I will open soon new rename package review request.
Comment 21 Parag Nemade 2014-10-11 03:48:12 EDT
Filed in bug 1151721. Let this be closed as this work is done already.

Note You need to log in before you can comment on or make changes to this bug.